#
# spec file for package golang-org-x-text
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-org-x-text
Version:        1.4.2+git20150710.7c0e16d
Release:        7.1
Summary:        Go text processing support
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/golang/text
Source:         text-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:	go-text = %{version}
Obsoletes:	go-text < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
This repository holds supplementary Go libraries for text processing, 
many involving Unicode.

%gosrc_package

%prep
%setup -q -n text-%{version}

%build
%goprep golang.org/x/text
%gobuild ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/colcmp
%{go_contribdir}/*

%files source
%defattr(-,root,root)
%{go_contribsrcdir}/*

%changelog
* Tue Jul  7 2015 i@marguerite.su
- rename golang-org-x-text
- update version 1.4.2+git20150710.7c0e16d
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- add xz as BuildRequires
* Sun Mar  8 2015 i@marguerite.su
- initial version 1.4.2+git20150306.f3f2426
